@model List<Cliente>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Lista de Clientes</h1>

<div>
    <form action="/cliente/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui" />
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
        
    </form>
</div>

<table class="table table-hover">
    @foreach (Cliente c in Model)
    {
    <tr>
        
        <td>@c.Nome</td>
        <td>@c.Email</td>
        <td>@c.Telefone</td>
        <td>@c.Endereco</td>

        
        <td><a href="/cliente/details/@c.IdCliente" class="btn btn-info">Detalhes</a></td>
        <td><a href="/cliente/delete/@c.IdCliente" class="btn btn-danger">Apagar</a></td>
        <td><a href="/cliente/update/@c.IdCliente" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/cliente/create" class="btn btn-success">Adicionar</a>

<script>
    function redirect(){
        location.href="/cliente/index"
    }
</script>